Package org.eclipse.graphiti.ui.internal.figures

## Class BezierPoint

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.figures.BezierPoint

    public class BezierPoint
    extends java.lang.Object

A simple data structure, which combines a point with bezier information.

### Constructor Summary

Constructors
`BezierPoint()`
`BezierPoint​(int x, int y)`
`BezierPoint​(int x, int y, int bezierDistanceBefore, int bezierDistanceAfter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `copyToDraw2dPoint​(org.eclipse.draw2d.geometry.Point target)`
`org.eclipse.draw2d.geometry.Point` `createDraw2dPoint()`
`boolean` `equals​(java.lang.Object o)`
`int` `getBezierDistanceAfter()`
`int` `getBezierDistanceBefore()`
`int` `getX()`
`int` `getY()`
`int` `hashCode()`
`void` `setBezierDistanceAfter​(int bezierDistanceAfter)`
`void` `setBezierDistanceBefore​(int bezierDistanceBefore)`
`void` `setX​(int x)`
`void` `setY​(int y)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BezierPoint

    public BezierPoint()

#### BezierPoint

    public BezierPoint​(int x,
                       int y)

#### BezierPoint

    public BezierPoint​(int x,
                       int y,
                       int bezierDistanceBefore,
                       int bezierDistanceAfter)

### Method Detail

#### getX

    public final int getX()

#### setX

    public final void setX​(int x)

#### getY

    public final int getY()

#### setY

    public final void setY​(int y)

#### getBezierDistanceBefore

    public final int getBezierDistanceBefore()

#### setBezierDistanceBefore

    public final void setBezierDistanceBefore​(int bezierDistanceBefore)

#### getBezierDistanceAfter

    public final int getBezierDistanceAfter()

#### setBezierDistanceAfter

    public final void setBezierDistanceAfter​(int bezierDistanceAfter)

#### createDraw2dPoint

    public final org.eclipse.draw2d.geometry.Point createDraw2dPoint()

#### copyToDraw2dPoint

    public final void copyToDraw2dPoint​(org.eclipse.draw2d.geometry.Point target)

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`